##### example with a time serie of daily temperature
##### test data is from CNRMCM5 simulation
#####

#Package
install.packages("grid")
install.packages("MASS")

#Call of functions
source("nonStatNorm.R") #main functions to estimate model (9)
source("custplot.R") #Graphic functions

#loading data 
Y=readRDS("tas_CNRMCM5_1900_2098.rds")-273.15
period=1900:2098

####Estimation of the function f,g,h
fghHat=NormNStaFun(Y,df=10, dg=6, dh=10,years=period)


####Prediction 
#prediction on the entire period
pred.period=predict.NormNSta(fghHatYears=fghHat,new.years=period)
#prediction on period outside the training set
pred.2100=predict.NormNSta(fghHatYears=fghHat,new.years=2100)

#### Plots
##plot of the data (red) and normals (blue) 
#on the entire period
custplot1(Y,pred.period,period )
#on a sub period
indStart=70;indEnd=110
indSelect=indStart:indEnd
custplot1(Y[indSelect,],pred.period[indSelect,],period[indSelect] )

##plot of the decomosition of model (9) and two cycles
#on the begining and end of the concidered period
custplot2(Y = Y,fghHatYears =fghHat)
#1970 2050
custplot2(Y = Y,fghHatYears =fghHat ,yearC1 = 1970,yearC2 = 2050)
